# $Revision: 1.28 $, $Date: 2005/09/06 22:03:08 $
Summary:	It is a jump around arcade game
Summary(pl):	Gra polegajca na skakaniu
Name:		linberto
Version:	1.0.5
Release:	6
License:	GPL
Group:		Applications/Games
Source0:	http://www.grigna.com/diego/linux/linberto/%{name}-%{version}.tar.gz
# Source0-md5:	3ec925bb1c25043f302f51c7224bbb56
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-openscore.patch
URL:		http://www.grigna.com/diego/linux/linberto/
BuildRequires:	gettext-devel
BuildRequires:	svgalib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It is a jump around arcade game. Main features: nice graphics, music,
sound fx, English/Spanish language support, runtime help and setup,
built in level editor and much more.

%description -l pl
To jest gra polegajca na skakaniu. Gwne zalety: przyjemna grafika,
muzyka, efekty dwikowe, wsparcie dla jzyka angielskiego i
hiszpaskiego, dostpna pomoc i konfiguracja, wbudowany edytor
poziomw... i wiele innych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} -C src \
	CCOPTS="%{rpmcflags}" \
	PREFIX=%{_prefix} \
	SCOREFILE=/var/games/linberto-scores.dat \
	CONFIGFILE=%{_sysconfdir}/linberto.conf \
	LIBDIR=%{_datadir}/linberto

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir},%{_mandir}/man6,/var/games,%{_sysconfdir}}

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	SCOREFILE=/var/games/linberto-scores.dat \
	CONFIGFILE=%{_sysconfdir}/linberto.conf \
	LIBDIR=%{_datadir}/linberto \
	INSMANDIR=%{_mandir}/man6 \
	INSMANDIRIT=%{_mandir}/it/man6 \
	INSMANDIRES=%{_mandir}/es/man6

touch $RPM_BUILD_ROOT/var/games/linberto-scores.dat
touch $RPM_BUILD_ROOT%{_sysconfdir}/linberto.conf

rm -f doc/{COPYING,INSTALL*,LSM*} doc/*/{COPYING,INST*}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc doc/*
%lang(es) %doc doc/es
%lang(it) %doc doc/it
%attr(2755,root,games) %{_bindir}/*
%{_datadir}/linberto
%{_mandir}/man6/*
%lang(es) %{_mandir}/es/man6/*
%lang(it) %{_mandir}/it/man6/*
%attr(664,root,games) %config(noreplace) %verify(not md5 mtime size) /var/games/linberto-scores.dat
%attr(664,root,games) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/linberto.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: linberto.spec,v $
Revision 1.28  2005/09/06 22:03:08  arekm
- rel 6

Revision 1.27  2005/06/06 13:57:18  zbyniu
- BR: gettext-devel

Revision 1.26  2004/08/01 20:44:59  qboosh
- release 5

Revision 1.25  2004/06/27 17:12:15  qboosh
- now we have svgalib on all supported archs

Revision 1.24  2004/04/26 16:50:07  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.23  2003/05/28 12:59:34  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 05:50:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2002/08/16 16:35:47  qboosh
- x86 and alpha

Revision 1.20  2002/08/12 08:45:41  marcus
- rel.3.
- added ExclusiveArch %%{ix86}
(this package uses specyfic svgalib headres what don't exist in
svgalib4ggi)

Revision 1.19  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:13:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/03 22:10:47  qboosh
- updated DESTDIR patch, pl translations
- FHS 2.1/2.2: moved score file from /var/lib/games to /var/games
- added openscore patch - svgalib (rather unnecessarily now) drops privileges
  (gid too), so open score file before initializing graphics... and drop gid :)
  (in case later versions of svgalib won't)
- release 2

Revision 1.16  2001/05/09 00:26:41  kloczek
- updated to 1.0.5.

Revision 1.15  2001/05/02 16:29:08  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.14  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/30 01:28:08  kloczek
- updated to 1.0.3,
- spec adapterized.

Revision 1.12  2000/05/02 01:16:38  kloczek
- spec adapterized.

Revision 1.11  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.10  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.8  2000/01/23 09:41:58  kloczek
- added missing %%date.

Revision 1.7  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.6  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.5  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).
